--DEFAULT EXTERIORS

local S = minetest.get_translator("drwho_tardis")

-- Normal mesh drawtypes
drwho_tardis:register_tardis_exterior({
	name = "", -- Empty because it is the default TARDIS
	texture = "tardis_main.png", -- BLUE
	title = "Blue",
	author = "PiDemon"
})
drwho_tardis:register_tardis_exterior({
	name = "pink",
	texture = "tardis_pink.png",
	title = "Pink",
	author = "PiDemon"
})
drwho_tardis:register_tardis_exterior({
	name = "yellow",
	texture = "tardis_yellow.png",
	title = "Yellow",
	author = "PiDemon"
})
drwho_tardis:register_tardis_exterior({
	name = "green",
	texture = "tardis_green.png",
	title = "Green",
	author = "Skivling"
})
drwho_tardis:register_tardis_exterior({
	name = "old",
	texture = "tardis_old.png",
	title = "Default",
	groups = {tardis = 1}, -- Be not in creative inventory
	author = "PiDemon"
})
drwho_tardis:register_tardis_exterior({
	name = "classic",
	texture = "tardis_cool.png",
	light = 0,
	title = "Classic",
	author = "PiDemon"
})
drwho_tardis:register_tardis_exterior({
	name = "funky",
	texture = "tardis_funky.png",
	title = "Funky",
	author = "PiDemon"
})
drwho_tardis:register_tardis_exterior({
	name = "brown",
	texture = "tardis_brown.png",
	title = "Brown",
	author = "ApolloX939"
})
drwho_tardis:register_tardis_exterior({ -- Clear with a white outline
	name = "clear",
	texture = "tardis_clear.png",
	title = "Clear",
	author = "ApolloX939"
})
drwho_tardis:register_tardis_exterior({
	name = "cyan",
	texture = "tardis_cyan.png",
	title = "Cyan",
	author = "ApolloX939"
})
drwho_tardis:register_tardis_exterior({
	name = "magenta",
	texture = "tardis_magenta.png",
	title = "Magenta",
	author = "ApolloX939"
})
drwho_tardis:register_tardis_exterior({
	name = "orange",
	texture = "tardis_orange.png",
	title = "Orange",
	author = "ApolloX939"
})
drwho_tardis:register_tardis_exterior({
	name = "red",
	texture = "tardis_red.png",
	title = "Red",
	author = "ApolloX939"
})
drwho_tardis:register_tardis_exterior({
	name = "silver",
	texture = "tardis_silver.png",
	title = "Silver",
	author = "ApolloX939"
})

-- Nodebox drawtypes
drwho_tardis:register_tardis_exterior({
	name = "leaves",
	texture = "default_leaves.png",
	drawtype = "nodebox",
	light = 0,
	title = "Leaves",
	author = "PiDemon"
})
drwho_tardis:register_tardis_exterior({
	name = "invisible",
	texture = "empty.png",
	drawtype = "nodebox",
	light = 0,
	title = "Invisible",
	author = "PiDemon"
})
drwho_tardis:register_tardis_exterior({
	name = "stone",
	texture = "default_stone.png",
	drawtype = "nodebox",
	light = 0,
	title = "Stone",
	author = "PiDemon"
})
